import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
USER_ID= input("User id: ") # Put a user id.

#######################
## Get specific user ##
#######################
# No role needed
print("Get specific user")
# Here you need a user id. Let's take : USER_ID
url_get_user = f"{baseurl}/users/{USER_ID}"
resp = requests.get(url_get_user, headers=headers)
resp.raise_for_status()
user_id = resp.json()
print(user_id)
